include mixins/header
include mixins/navbar
include mixins/footer

- pageName = 'Tutoring'

+header(pageName)
body
  +navbar(pageName)
  br
  .text-center
    h2 Tutoring
    hr
  article.grid-x.grid-container
    p.lead
     | Rowan IEEE offers free tutoring through our upperclassman volunteers. To find a tutor, browse the listings below.

    .cell.small-10
      .grid-x.grid-margin-x
        .cell
          - const {tutors, subjects} = resources.tutoring
          - const endl = '%0D%0A%0D%0A'
          each subject in subjects
            .cell
              .cell(id=subject.name)
              h3= subject.name
              each tutor in tutors
                if(tutor.subjects.includes(subject.name))
                  .cell.grid-x.callout
                    .cell.small-6
                      h4 #{tutor.last_name}, #{tutor.first_name}
                      h5 #{tutor.major}
                      a.button(href=`mailto:${tutor.email}?subject=[Tutoring Request] ${subject.name}
                      &body=
                      Hello ${tutor.first_name}, ${endl}
                      I need tutoring help in ${subject.name}.${endl}
                      I would like to meet [DATE, TIME, AND LOCATION], if that works for you?${endl}${endl}
                      Thank you,${endl}
                      [YOUR NAME]
                      `) Request
                    .cell.small-6
                      h5 Availability:
                      - const {availability} = tutor
                      if(availability.monday !== undefined)
                        p  Mondays: #{availability.monday.join(', ')}
                      if(availability.tuesday)
                        p  Tuesdays: #{availability.tuesday.join(', ')}
                      if(availability.wednesday)
                        p  Wednesdays: #{availability.wednesday.join(', ')}
                      if(availability.thursday)
                        p  Thursdays: #{availability.thursday.join(', ')}
                      if(availability.friday)
                        p  Fridays: #{availability.friday.join(', ')}
                      if(availability.saturday)
                        p  Saturdays: #{availability.saturday.join(', ')}
                      if(availability.sunday)
                        p  Sundays: #{availability.sunday.join(', ')}
    vr
    ul.menu.vertical.cell.small-2
      li.menu-text Subjects
      each subject in subjects
        li: a(href=`/tutoring#${subject.name}`)=subject.name
  +footer()

